using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using HelloServer;

namespace HelloClient
{
    class CApplication
    {
        static void Main(string[] args)
        {
            TcpChannel canal = new TcpChannel();
            ChannelServices.RegisterChannel(canal, false);

            try
            {
                IHello helloServer = (IHello)Activator.GetObject(
                    typeof(IHello), "tcp://localhost:4321/HelloServer");
                Console.WriteLine(helloServer.Message);
            }
            catch (Exception e)
            {
                Console.WriteLine("Erreur : " + e.Message);
            }
            Console.ReadLine();
        }
    }
}
