using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace HelloServer
{
    class CHelloServer : MarshalByRefObject, IHello
    {
        #region Membres de IHello

        public string Message
        {
            get
            {
                return "Hello World !";
            }
        }

        #endregion
    }

    class CApplication
    {
        static void Main(string[] args)
        {
            TcpChannel canal = new TcpChannel(4321);
            ChannelServices.RegisterChannel(canal, false);
            RemotingConfiguration.RegisterWellKnownServiceType(typeof(CHelloServer),
                "HelloServer", WellKnownObjectMode.Singleton);
            Console.ReadLine();
        }
    }
}
